<template>
  <component
    :is="props.integration.titleComponent"
    v-if="props.integration.titleComponent"
    :integration="props.integration"
  />
  <template v-else>
    <div class="flex gap-4 items-center">
      <img
        :alt="integration.name"
        :src="integration.image"
        class="w-6"
      />
      {{ integration.description }}
    </div>
  </template>
</template>

<script setup>
import { defineProps } from 'vue';

const props = defineProps({
  integration: {
    type: Object,
    required: true,
    default: () => ({}),
  },
});
</script>

<script>

export default {
  name: 'AppIntegrationManageItemTitle',
};
</script>
